
QGIS Application - Bug report #12727

Openstreetmap Import to spatialite incomplete

2015-05-09 03:41 AM - Andre Joost

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 20827

Description

From the QGIS user mailing list http://osgeo-org.1560.x6.nabble.com/OSM-data-gaps-td5204902.html and 

http://osgeo-org.1560.x6.nabble.com/Open-street-map-td5204901.html

Zoom to New York with this extent:

xMin,yMin -74.2907;40.5931 : xMax,yMax -73.8504;40.7827

Vector -> Openstreetmap -> Download, then import, then export to spatialite only Polylines

displays 37602 lines.

Using Add vector Layer (or drag and drop) on the same imported .osm file creates 53607 lines, ogr2ogr as well.

As a reference, osm2pgsql into a postgis database creates even 59667, maybe due to different handling of incomplete multipolygon

relation members.

Related issues:

Related to QGIS Application - Bug report # 10790: OpenStreetMap plugin only l... Closed 2014-07-03

Duplicates QGIS Application - Bug report # 8878: OSM plugin fails to download... Closed 2013-10-16

History

#1 - 2015-09-28 08:10 AM - Andre Joost

Yet another, similar case:

http://gis.stackexchange.com/questions/164069/qgis-import-osm-data-via-osm-plugin-and-sqlite-does-not-only-import-selected-tag

#2 - 2017-05-01 01:07 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2017-07-20 07:54 AM - Andre Joost

Maybe related #10790

#4 - 2017-07-20 11:44 PM - Jürgen Fischer

- Related to Bug report #10790: OpenStreetMap plugin only loads 32 bits numbers ID, then start with negative numbers added
#5 - 2018-01-16 07:05 AM - Nyall Dawson

- Status changed from Open to Closed

OSM downloader has been removed for 3.0

#6 - 2018-02-22 11:38 AM - Giovanni Manghi

- Resolution set to wontfix

- Description updated
